summaryrefslogtreecommitdiff
path: root/t/check-exported-srcdir.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/check-exported-srcdir.sh')
-rwxr-xr-xt/check-exported-srcdir.sh63
1 files changed, 63 insertions, 0 deletions
diff --git a/t/check-exported-srcdir.sh b/t/check-exported-srcdir.sh
new file mode 100755
index 000000000..124269bc3
--- /dev/null
+++ b/t/check-exported-srcdir.sh
@@ -0,0 +1,63 @@
+#! /bin/sh
+# Copyright (C) 2011-2012 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Check that the testsuite driver (either with or without the
+# parallel-tests option enabled) exports the 'srcdir' value in the
+# environment of the tests. This is documented in the manual.
+
+. ./defs || Exit 1
+
+show_info ()
+{
+ if test x"$am_parallel_tests" = x"yes"; then
+ cat foo.log
+ cat test-suite.log
+ else
+ :
+ fi
+}
+
+mkdir SrcDir
+mv [!S]* SrcDir
+mkdir BuildDir
+cd SrcDir
+
+cat >> configure.ac << 'END'
+AC_OUTPUT
+END
+
+cat > Makefile.am << 'END'
+TESTS = foo.test
+END
+
+cat > foo.test <<'END'
+#!/bin/sh
+echo "foo.test: srcdir='$srcdir'"
+test x"$srcdir" = x"../SrcDir"
+END
+chmod a+x foo.test
+
+$ACLOCAL
+$AUTOCONF
+$AUTOMAKE -a
+
+cd ../BuildDir
+../SrcDir/configure
+
+$MAKE check || { show_info; Exit 1; }
+show_info
+
+: